package tfc.jvilarodr.logic;

import java.util.List;
import javax.ejb.Local;
import tfc.jvilarodr.model.Comunidad;

/**
 * @author jvilarodr@uoc.edu
 * @version tfc
 * @since 18/06/2012
 */
@Local
public interface ComunidadFacadeLocal {

    void create(Comunidad comunidad);

    void edit(Comunidad comunidad);

    void remove(Comunidad comunidad);

    Comunidad find(Object id);

    List<Comunidad> findAll(Object id);
    
    List<Comunidad> findAllNotIn(Object id);

    List<Comunidad> findRange(int[] range);

    int count();
    
}
