package tfc.jvilarodr.logic;

import java.util.List;
import javax.ejb.Local;
import tfc.jvilarodr.model.Credenciales;

/**
 * @author jvilarodr@uoc.edu
 * @version tfc
 * @since 18/06/2012
 */
@Local
public interface CredencialesFacadeLocal {

    void create(Credenciales credenciales);

    void edit(Credenciales credenciales);

    void remove(Credenciales credenciales);

    Credenciales find(Object id);
    
    Credenciales findBy(String cuenta);
    
    List<Credenciales> findAll();

    List<Credenciales> findRange(int[] range);

    int count();
    
}
