package tfc.jvilarodr.logic;

import java.util.List;
import javax.ejb.Local;
import tfc.jvilarodr.model.Mensaje;

/**
 * @author jvilarodr@uoc.edu
 * @version tfc
 * @since 18/06/2012
 */
@Local
public interface MensajeFacadeLocal {

    void create(Mensaje mensaje);

    void edit(Mensaje mensaje);

    void remove(Mensaje mensaje);

    Mensaje find(Object id);
    
    List<Mensaje> findBy(Integer idUsuario);
        
    List<Mensaje> findByIdComunidad(Integer idComunidad);

    List<Mensaje> findAll();

    List<Mensaje> findRange(int[] range);

    int count();
    
}
