
package tfc.jvilarodr.ws.comunidades.ServicioComunidad;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the tfc.jvilarodr.ws.comunidades.ServicioComunidad package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FindResponse_QNAME = new QName("http://ws.jvilarodr.tfc/", "findResponse");
    private final static QName _Comunidad_QNAME = new QName("http://ws.jvilarodr.tfc/", "comunidad");
    private final static QName _Find_QNAME = new QName("http://ws.jvilarodr.tfc/", "find");
    private final static QName _FindAllResponse_QNAME = new QName("http://ws.jvilarodr.tfc/", "findAllResponse");
    private final static QName _FindAllNotIn_QNAME = new QName("http://ws.jvilarodr.tfc/", "findAllNotIn");
    private final static QName _FindAllNotInResponse_QNAME = new QName("http://ws.jvilarodr.tfc/", "findAllNotInResponse");
    private final static QName _Edit_QNAME = new QName("http://ws.jvilarodr.tfc/", "edit");
    private final static QName _Create_QNAME = new QName("http://ws.jvilarodr.tfc/", "create");
    private final static QName _FindRange_QNAME = new QName("http://ws.jvilarodr.tfc/", "findRange");
    private final static QName _CountResponse_QNAME = new QName("http://ws.jvilarodr.tfc/", "countResponse");
    private final static QName _FindRangeResponse_QNAME = new QName("http://ws.jvilarodr.tfc/", "findRangeResponse");
    private final static QName _Remove_QNAME = new QName("http://ws.jvilarodr.tfc/", "remove");
    private final static QName _Count_QNAME = new QName("http://ws.jvilarodr.tfc/", "count");
    private final static QName _FindAll_QNAME = new QName("http://ws.jvilarodr.tfc/", "findAll");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: tfc.jvilarodr.ws.comunidades.ServicioComunidad
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FindAllResponse }
     * 
     */
    public FindAllResponse createFindAllResponse() {
        return new FindAllResponse();
    }

    /**
     * Create an instance of {@link Comunidad }
     * 
     */
    public Comunidad createComunidad() {
        return new Comunidad();
    }

    /**
     * Create an instance of {@link FindRange }
     * 
     */
    public FindRange createFindRange() {
        return new FindRange();
    }

    /**
     * Create an instance of {@link Count }
     * 
     */
    public Count createCount() {
        return new Count();
    }

    /**
     * Create an instance of {@link FindRangeResponse }
     * 
     */
    public FindRangeResponse createFindRangeResponse() {
        return new FindRangeResponse();
    }

    /**
     * Create an instance of {@link Find }
     * 
     */
    public Find createFind() {
        return new Find();
    }

    /**
     * Create an instance of {@link FindAllNotInResponse }
     * 
     */
    public FindAllNotInResponse createFindAllNotInResponse() {
        return new FindAllNotInResponse();
    }

    /**
     * Create an instance of {@link FindAll }
     * 
     */
    public FindAll createFindAll() {
        return new FindAll();
    }

    /**
     * Create an instance of {@link Remove }
     * 
     */
    public Remove createRemove() {
        return new Remove();
    }

    /**
     * Create an instance of {@link FindResponse }
     * 
     */
    public FindResponse createFindResponse() {
        return new FindResponse();
    }

    /**
     * Create an instance of {@link CountResponse }
     * 
     */
    public CountResponse createCountResponse() {
        return new CountResponse();
    }

    /**
     * Create an instance of {@link Create }
     * 
     */
    public Create createCreate() {
        return new Create();
    }

    /**
     * Create an instance of {@link Edit }
     * 
     */
    public Edit createEdit() {
        return new Edit();
    }

    /**
     * Create an instance of {@link FindAllNotIn }
     * 
     */
    public FindAllNotIn createFindAllNotIn() {
        return new FindAllNotIn();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findResponse")
    public JAXBElement<FindResponse> createFindResponse(FindResponse value) {
        return new JAXBElement<FindResponse>(_FindResponse_QNAME, FindResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Comunidad }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "comunidad")
    public JAXBElement<Comunidad> createComunidad(Comunidad value) {
        return new JAXBElement<Comunidad>(_Comunidad_QNAME, Comunidad.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Find }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "find")
    public JAXBElement<Find> createFind(Find value) {
        return new JAXBElement<Find>(_Find_QNAME, Find.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindAllResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findAllResponse")
    public JAXBElement<FindAllResponse> createFindAllResponse(FindAllResponse value) {
        return new JAXBElement<FindAllResponse>(_FindAllResponse_QNAME, FindAllResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindAllNotIn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findAllNotIn")
    public JAXBElement<FindAllNotIn> createFindAllNotIn(FindAllNotIn value) {
        return new JAXBElement<FindAllNotIn>(_FindAllNotIn_QNAME, FindAllNotIn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindAllNotInResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findAllNotInResponse")
    public JAXBElement<FindAllNotInResponse> createFindAllNotInResponse(FindAllNotInResponse value) {
        return new JAXBElement<FindAllNotInResponse>(_FindAllNotInResponse_QNAME, FindAllNotInResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Edit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "edit")
    public JAXBElement<Edit> createEdit(Edit value) {
        return new JAXBElement<Edit>(_Edit_QNAME, Edit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Create }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "create")
    public JAXBElement<Create> createCreate(Create value) {
        return new JAXBElement<Create>(_Create_QNAME, Create.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindRange }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findRange")
    public JAXBElement<FindRange> createFindRange(FindRange value) {
        return new JAXBElement<FindRange>(_FindRange_QNAME, FindRange.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CountResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "countResponse")
    public JAXBElement<CountResponse> createCountResponse(CountResponse value) {
        return new JAXBElement<CountResponse>(_CountResponse_QNAME, CountResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindRangeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findRangeResponse")
    public JAXBElement<FindRangeResponse> createFindRangeResponse(FindRangeResponse value) {
        return new JAXBElement<FindRangeResponse>(_FindRangeResponse_QNAME, FindRangeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Remove }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "remove")
    public JAXBElement<Remove> createRemove(Remove value) {
        return new JAXBElement<Remove>(_Remove_QNAME, Remove.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Count }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "count")
    public JAXBElement<Count> createCount(Count value) {
        return new JAXBElement<Count>(_Count_QNAME, Count.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindAll }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.jvilarodr.tfc/", name = "findAll")
    public JAXBElement<FindAll> createFindAll(FindAll value) {
        return new JAXBElement<FindAll>(_FindAll_QNAME, FindAll.class, null, value);
    }

}
