package tfc.jvilarodr.logic;

import java.util.List;
import javax.ejb.Local;
import tfc.jvilarodr.model.Perfil;

/**
 * @author jvilarodr@uoc.edu
 * @version tfc
 * @since 18/06/2012
 */
@Local
public interface PerfilFacadeLocal {

    void create(Perfil perfil);

    void edit(Perfil perfil);

    void remove(Perfil perfil);

    Perfil find(Object id);
    
    List<Perfil> findBy(Integer idUsuario);

    List<Perfil> findAll();

    List<Perfil> findRange(int[] range);

    int count();
    
}
