package tfc.jvilarodr.logic;

import java.util.List;
import javax.ejb.Local;
import tfc.jvilarodr.model.Relacion;

/**
 * @author jvilarodr@uoc.edu
 * @version tfc
 * @since 18/06/2012
 */
@Local
public interface RelacionFacadeLocal {

    void create(Relacion relacion);

    void edit(Relacion relacion);

    void remove(Relacion relacion);

    Relacion find(Object id);
    
    List<Relacion> findBy(Integer idUsuario);

    List<Relacion> findAll();

    List<Relacion> findRange(int[] range);

    int count();
    
}
